%define upstream_name    URI-Escape-XS
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Drop-In replacement for URI::Escape
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
A faster Drop-In replacement for URI::Escape

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.140.0-7.mga8
+ Revision: 1595298
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.140.0-6.mga8
+ Revision: 1530166
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.140.0-5.mga8
+ Revision: 1433939
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.140.0-4.mga7
+ Revision: 1293897
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.140.0-3.mga7
+ Revision: 1249898
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.140.0-2.mga7
+ Revision: 1167232
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.140.0-1.mga7
+ Revision: 1157445
- update to 0.14

* Thu Aug 31 2017 pterjan <pterjan> 0.130.0-5.mga7
+ Revision: 1149430
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.130.0-4.mga7
+ Revision: 1126540
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1035596
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 958194
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 851530
- update to 0.13

* Fri Jun 26 2015 tv <tv> 0.120.0-3.mga6
+ Revision: 845481
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.120.0-2.mga6
+ Revision: 841229
- Rebuild for perl 5.22

* Wed Dec 24 2014 buchan <buchan> 0.120.0-1.mga5
+ Revision: 805250
- imported package perl-URI-Escape-XS


* Wed Dec 24 2014 Buchan Milne <buchan> 0.12-1mga
- initial mageia release, generated with cpan2dist
